Loading...
Searching...
No Matches
L4::Typeid::Rpcs_sys< ARG > Struct Template Reference

List of RPCs typically used for kernel interfaces. More...

`#include <l4/sys/capability>`

Inheritance diagram for L4::Typeid::Rpcs_sys< ARG >:
Collaboration diagram for L4::Typeid::Rpcs_sys< ARG >:

## Detailed Description

template<typename ... ARG>
struct L4::Typeid::Rpcs_sys< ARG >

List of RPCs typically used for kernel interfaces.

Template Parameters

  RPCS | list of RPC types as defined by L4_RPC etc.

This list of RPC functions uses l4_umword_t as type for the opcode as most kernel protocol do.

Definition at line 465 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h